
QGIS Application - Bug report #10509

Wrong dash pattern with data defined properties

2014-06-09 07:12 AM - zicke -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18919

Description

There was a bug with thin lines and dash pattern in Qt 4.8. The dashes got to big. This was fixed with:

#a597823c6d9ed132ac677f675cb5518b0c26775c

The same happens now when the dash pattern is set in the data defined properties (see attached screenshots). As far as I understand the

mUseCustomDashPattern variable is false and thus the fix is not applied.

History

#1 - 2014-06-09 07:15 AM - Giovanni Manghi

- Category set to Symbology

#2 - 2014-06-09 08:43 AM - zicke -

- OS version set to 12.04

- Operating System set to Ubuntu

#3 - 2014-06-12 06:58 AM - zicke -

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/1449

#4 - 2014-06-12 09:43 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"c49e38c39c9d687fdd99279997995229d4027055".

#5 - 2014-06-12 09:43 PM - Martin Dobias

- Target version set to Version 2.4
